Bug 162511 - [UPDATE] net-im/imspector to 20111108
Summary: [UPDATE] net-im/imspector to 20111108
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 02:30 UTC by m.tsatsenko
Modified: 2012-06-24 18:52 UTC (History)
0 users

See Also:


Attachments
file.shar (11.40 KB, text/plain)
2011-11-13 02:30 UTC, m.tsatsenko
no flags Details
imspector.txt (5.19 KB, text/plain; charset=US-ASCII)
2012-06-24 14:53 UTC, m.tsatsenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2011-11-13 02:30:09 UTC
IMSpector is an Instant Messenger transparent proxy with monitoring,
blocking, and content-filtering capabilities.

Development snapshot has MSN 2011 protocol support missing in stable version.

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-06-17 20:26:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-06-17 20:26:36 UTC
State Changed
From-To: open->feedback

Do you still want this added? is there a newer one you want added 
instead?
Comment 3 m.tsatsenko 2012-06-19 19:30:24 UTC
I still need this port.
It is very unlikely that a newer version iv available because upstream
development is not active at the moment.
Comment 4 Michael Scheidell freebsd_committer 2012-06-19 19:53:55 UTC
On 6/19/12 2:40 PM, Mikhail Tsatsenko wrote:
> The following reply was made to PR ports/162511; it has been noted by GNATS.
>
> From: Mikhail Tsatsenko<m.tsatsenko@gmail.com>
> To: bug-followup@freebsd.org
> Cc:
> Subject: Re: ports/162511: [NEW PORT] net-im/imspector-devel devel version of imspector
> Date: Tue, 19 Jun 2012 22:30:24 +0400
>
>   I still need this port.
>   It is very unlikely that a newer version iv available because upstream
>   development is not active at the moment.
two options, that I see:
1) why not just update net-im/imspector ? if upstream isn't working on it
2) if you really want a -devel branch, then you need to call for a 
repocopy, from net-im/imspector -> net-im/imspector-devel, and attach 
patches against the copy
(we need to do the repocopy)


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 Michael Scheidell freebsd_committer 2012-06-23 10:41:17 UTC
ping:

wo options, that I see:
1) why not just update net-im/imspector ? if upstream isn't working on it
2) if you really want a -devel branch, then you need to call for a
repocopy, from net-im/imspector -> net-im/imspector-devel, and attach
patches against the copy
(we need to do the repocopy)

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 6 m.tsatsenko 2012-06-23 14:12:56 UTC
I see. Let's update imspecor port rather than creating a new one. I will
send the patches when I get home. I only need advice how portversion should
be specified in that case.

Mikhail
23.06.2012 13:41 ÐÏÌØÚÏ×ÁÔÅÌØ "Michael Scheidell" <scheidell@freebsd.org>
ÎÁÐÉÓÁÌ:

> **
> ping:
>
> wo options, that I see:
> 1) why not just update net-im/imspector ? if upstream isn't working on it
> 2) if you really want a -devel branch, then you need to call for a
> repocopy, from net-im/imspector -> net-im/imspector-devel, and attach
> patches against the copy
> (we need to do the repocopy)
>
> --
> Michael Scheidell, CTO
> > *| * SECNAP Network Security Corporation
> d: +1.561.948.2259
> w: http://people.freebsd.org/~scheidell

>
Comment 7 Michael Scheidell freebsd_committer 2012-06-23 14:27:33 UTC
PORTVERSION=	20111108 will be fine.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 8 m.tsatsenko 2012-06-24 14:53:22 UTC
Please see attachment.
Comment 9 Michael Scheidell freebsd_committer 2012-06-24 18:16:41 UTC
Class Changed
From-To: change-request->maintainer-update

Change class to maintainer update. change synopsis.
Comment 10 Michael Scheidell freebsd_committer 2012-06-24 18:19:17 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 11 dfilter service freebsd_committer 2012-06-24 18:36:35 UTC
scheidell    2012-06-24 17:36:25 UTC

  FreeBSD ports repository

  Modified files:
    net-im/imspector     Makefile distinfo pkg-descr pkg-plist 
    net-im/imspector/files imspector.in 
                           patch-icqprotocolplugin.cpp 
                           patch-main.cpp 
  Log:
  - Update to 20111108
  - Add MSN 2011 protocol support
  
  PR:             ports/162511
  Submitted by:   "Mikhail T." <m.tsatsenko@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.7       +7 -3      ports/net-im/imspector/Makefile
  1.4       +2 -2      ports/net-im/imspector/distinfo
  1.4       +3 -3      ports/net-im/imspector/files/imspector.in
  1.2       +20 -3     ports/net-im/imspector/files/patch-icqprotocolplugin.cpp
  1.2       +8 -6      ports/net-im/imspector/files/patch-main.cpp
  1.3       +2 -0      ports/net-im/imspector/pkg-descr
  1.3       +3 -4      ports/net-im/imspector/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"